<?php
class recentorderwidget extends WP_Widget
{
	public function __construct()
	{
		//Constructor
		$widget_ops = array('classname' => __('recent order widget','appzab-woo-live-sales-feed'), 'description' => __('Show Live Sales Feed on frontend','appzab-woo-live-sales-feed') );
		$this->WP_Widget('widget_cate', __('Live Sales Feed','appzab-woo-live-sales-feed'), $widget_ops);
	}
	function recentorderwidget()
	{
		$this->__construct();
	}

	function widget($args, $instance)
	{
		// prints the widget
		extract($args, EXTR_SKIP);
			
		$title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
		echo $before_widget.$before_title.$title.$after_title;
		echo do_shortcode('[live_sales_feed]');
		echo $after_widget;
	}

	function update($new_instance, $old_instance)
	{
		//save the widget
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		return $instance;
	}
	function form($instance)
	{
		//widgetform in backend
		$instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
		$title = strip_tags($instance['title']);
		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">Widget Title:
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo attribute_escape($title); ?>" />
			</label>
		</p>
		<?php
	}
}